---
title: Selection.addRange()
slug: Web/API/Selection/addRange
tags:
  - API
  - Experimental
  - HTML Editing
  - Method
  - Reference
  - Selection
---
<div>{{ ApiRef("DOM") }}{{SeeCompatTable}}</div>

<p>The <strong><code>Selection.addRange()</code></strong> method adds a {{domxref("Range")}} to a {{domxref("Selection")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>selection</em>.addRange(<em>range</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>range</code></dt>
 <dd>A {{ domxref("Range") }} object that will be added to the {{ domxref("Selection") }}.</dd>
</dl>

<h2 id="Example">Example</h2>

<div class="notecard note">
<p>Currently only Firefox supports multiple selection ranges, other browsers will not add new ranges to the selection if it already contains one.</p>
</div>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;p&gt;I &lt;strong&gt;insist&lt;/strong&gt; that you &lt;strong&gt;try&lt;/strong&gt; selecting the &lt;strong&gt;strong words&lt;/strong&gt;.&lt;/p&gt;
&lt;button&gt;Select strong words&lt;/button&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">let button = document.querySelector('button');

button.addEventListener('click', function () {
  let selection = window.getSelection();
  let strongs = document.getElementsByTagName('strong');

  if (selection.rangeCount &gt; 0) {
    selection.removeAllRanges();
  }

  for (let i = 0; i &lt; strongs.length; i++) {
    let range = document.createRange();
    range.selectNode(strongs[i]);
    selection.addRange(range);
  }
});</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Selection API', '#dom-selection-addrange', 'Selection.addRange()')}}</td>
   <td>{{Spec2('Selection API')}}</td>
   <td>Current</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Selection.addRange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Selection")}}, the interface this method belongs to</li>
</ul>
